List articles for a framework
curl --request GET \
--url https://demo.law4devs.eu/api/v1/frameworks/{slug}/articlesimport requests
url = "https://demo.law4devs.eu/api/v1/frameworks/{slug}/articles"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://demo.law4devs.eu/api/v1/frameworks/{slug}/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"article_number": 1,
"title": "Subject matter",
"framework_slug": "cra",
"position": 1,
"paragraph_count": 0,
"processed_date": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 1,
"slug": "vulnerability-reporting",
"name": "Vulnerability Reporting",
"description": "Requirements related to disclosing and reporting software vulnerabilities.",
"keywords": [
"vulnerability",
"CVE",
"disclose",
"disclosure"
],
"color": "#e74c3c",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"meta": {
"api_version": "1.0",
"total": 71,
"page": 1,
"per_page": 20,
"pages": 4
},
"links": {
"next": "?page=2&per_page=20",
"prev": null
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Framework 'xyz' not found."
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Framework 'xyz' not found."
}
}Articles
List articles for a framework
Returns paginated articles for a framework. Supports optional filtering by tag slug and full-text search within article titles and content.
GET
/
frameworks
/
{slug}
/
articles
List articles for a framework
Path Parameters
Framework slug (e.g. cra, nis2, gdpr)
Pattern:
^[a-z0-9_]+$Example:
"cra"
Query Parameters
Page number (1-based)
Required range:
x >= 1Example:
1
Results per page (max 100)
Required range:
1 <= x <= 100Example:
20
Filter articles that have this tag slug
Example:
"vulnerability-reporting"
Full-text search within article title and content
Example:
"cybersecurity"
Was this page helpful?
⌘I
